
<!DOCTYPE html>
<html lang="en">
  <head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Data EMBUNG</title>
    <link rel="shortcut icon" href="images/bongkar-icon.png" />
    <link
      rel="stylesheet"
      href="libs/Fomantic-UI/semantic.css"
      type="text/css"
      charset="utf-8"
    />
    <link
      rel="stylesheet"
      href="libs/DataTable/datatables.min.css"
      type="text/css"
      charset="utf-8"
    />
    <link href="css/styleSteven.css" rel="stylesheet" type="text/css" />
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDRwLI_1dM1VDygiru0klGVDNoD2X3ARJE&callback=initMap"></script>
        <script src="libs/jquery-3.3.1.js"></script>
        <script src="libs/Fomantic-UI/semantic.min.js"></script>
        <script src="libs/DataTable/datatables.min.js"></script>
    
    </head>
  <body>
  
          <div class="ui sticky segment topBar" style="position:fixed; height: 90px; margin: -1px; padding: -2px; background: url('images/header-bongkar.jpg'); background-size: cover; background-repeat: no-repeat;">
    <h2 class="ui header">
      <img src="images/logo_baru_krimsus.png" alt="Logo Bongkar" style="float:left; height: 60px; width: 60px; margin-top: 5px; margin-right: 5px;" />
      <a href="https://bongkar.poldakalbar.net/portal/"><img src="images/logo.png" alt="Logo Bongkar" style="height: 60px; width: 60px; margin-top: 5px; margin-right: 10px;" /></a>
      <!-- <img src="images/logo-polda-kalbar.png" alt="Logo Polda Kalbar" style="height: 60px; width: 40px; margin-top: 5px;" /> -->
      <div class="content header-title" style="margin-top: 10px; line-height: 20px; color:#fff" id="ditreskrimsuskalbar">
        B0NGKAR <br>
        <span>(Basmi, Zer0kan, dan Tanggulangi Karhutla)</span>
      </div>
    </h2>
    <!-- <a href="../">
      <div class="ui compact segment" id="bongkarLogo">
        <img src="images/bongkar-icon.png" alt="Logo Bongkar" class="ui small image" />
      </div>
    </a> -->
  </div>
      
    
    
    
    
    <div class="ui container" style="margin-top:110px;padding-bottom:5rem">
      <h2 class="ui redColor">EMBUNG</h2>
      <div class="ui segment">
          <div class="ui form">
            <div class="fields">
                <div class="seven wide field">
                    <label>Lokasi</label>
                    <select id="dropdownReferensi" class="ui dropdown" onChange="cariLokasi()">
                        <option value="all">Semua Kabupaten</option>
                        <option value='6'>Kabupaten Bengkayang</option><option value='12'>Kabupaten Kapuas Hulu</option><option value='14'>Kabupaten Kayong Utara</option><option value='13'>Kabupaten Ketapang</option><option value='2'>Kabupaten Kubu Raya</option><option value='7'>Kabupaten Landak</option><option value='11'>Kabupaten Melawi</option><option value='3'>Kabupaten Mempawah</option><option value='5'>Kabupaten Sambas</option><option value='8'>Kabupaten Sanggau</option><option value='9'>Kabupaten Sekadau</option><option value='10'>Kabupaten Sintang</option><option value='1'>Kota Pontianak</option><option value='4'>Kota Singkawang </option>                    </select>
                </div>
                <div class="seven wide field">
                        <label>Nama Lokasi</label>
                        <input type="text" id="searchField" placeholder="Nama Lokasi" onKeyUp="searchListener(event)">
                </div>
                <div class="two wide field">
                    <label style="color:#ffffff">.</label>
                    <button class="ui fluid red icon button" title="Cari" onClick="cariLokasi()"><i class="search icon"></i> Cari</button>
                </div>
            </div>
        </div>
      </div>
      <div class="ui fluid two item menu">
        <a class="item active redBackground" name="tabLinks" onClick="openTab(event, 'tabel')" style="font-weight:bold">Daftar Lokasi</a>
        <a class="item" name="tabLinks" id="mapItem" onClick="openTab(event, 'mapView')" style="font-weight:bold">Map View</a>
      </div>
      <div id="tabel" name="tabContent">
        <table class="ui selection celled red table" id="tabelLokasi">
            <thead>
                <tr>
                    <th class="one wide">No.</th>
                    <th>Nama Embung</th>
                    <th>Pemilik</th>
                    <th>Luas</th>
                    <th>Kondisi</th>
                    <th>Desa</th>
                    <th class="four wide">Kab/Kota</th>
                    <th class="one wide">Aksi</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
        </div>
        <div id="mapView" name="tabContent" style="display:none">
            <div id="map" style="width:100%;height:80vh"></div>
        </div>
    </div>
   </body>
</html>

<script>
    const urlAPI = "https://bongkar.poldakalbar.net/portal/API";
    const ajaxTimeout = 15000;
    let tabelLokasi = null;
    let marker = [];
    let map;
    const myLatLng = { lat: -0.025, lng: 111.329 };
    let infowindow = null;

    let kabKotaData = [];
    kabKotaData[12] = {lat : 0.8790089, lng : 112.9231503};kabKotaData[14] = {lat : -1.2535822, lng : 109.9521268};kabKotaData[13] = {lat : -1.8444963, lng : 109.9768037};kabKotaData[2] = {lat : -0.1268753, lng : 109.4035039};kabKotaData[7] = {lat : 0.3745467, lng : 109.9360754};kabKotaData[11] = {lat : -0.335384, lng : 111.7248031};kabKotaData[3] = {lat : 0.3506185, lng : 108.9615721};kabKotaData[5] = {lat : 1.3607706, lng : 109.3262685};kabKotaData[8] = {lat : 0.1232162, lng : 110.5937933};kabKotaData[9] = {lat : 0.0666217, lng : 110.8926};kabKotaData[10] = {lat : 0.0783098, lng : 111.4932845};kabKotaData[1] = {lat : -0.022131, lng : 109.3378374};kabKotaData[4] = {lat : 0.9043363, lng : 108.9772738};
    $(document).ready(function() {
        //fillMarkerMap();
        initMap();
        cariLokasi();
        $('.ui.dropdown').dropdown();
        // $('.ui.sticky').sticky({
        //     observeChanges: true,
        //     context: '#tabelLokasi'
        // });
    });


    function fillMarkerMap(){ 
        let formData = new FormData();
        formData.append("kabupaten", 'all');
        formData.append("search", '');
          
        let request = $.ajax({
            url: urlAPI + "/getEmbungList.php",
            timeout: ajaxTimeout,
            type: "POST",
            data: formData,
            processData: false,
            contentType: false
        });

        request.done(function(msg) {
            
            const listLokasi = msg.lokasi;
            const banyakLokasi = listLokasi.length;
            for(let i = 0; i < banyakLokasi; i++){
                const lokasi = listLokasi[i];
                const no = i + 1;
                const id = lokasi.id;
                const namaEmbung = lokasi.namaEmbung;
                const namaDesa = lokasi.namaDesa;
                const pemilik = lokasi.pemilik;
                const luas = lokasi.luas;
                const kondisi = lokasi.kondisi;
                const kab = lokasi.kab;
                const kec = lokasi.kec;
                const lat = parseFloat(lokasi.lat);
                const lng = parseFloat(lokasi.lng);
                const latLng = { lat: lat, lng: lng };

                marker[id] =  new google.maps.Marker({
                  position: latLng,
                  map: map,
                  icon: 'images/legenda-marker-small/icon-loc-embung.png'
               });

               marker[id].addListener("click", function() {
                    if (infowindow) {
                        infowindow.close();
                    }

                    const contentString = `
                        <h3 class="ui red header">${namaEmbung}</h3>
                        <table class="ui definition table">
                            <tr> 
                            <td>Pemilik</td>
                            <td>${pemilik}</td>
                            </tr>
                            <tr> 
                            <td>Kondisi</td>
                            <td>${kondisi}</td>
                            </tr>
                            <tr> 
                            <td>Luas</td>
                            <td>${luas}</td>
                            </tr>
                            <tr> 
                            <td>Desa</td>
                            <td>${namaDesa}</td>
                            </tr>
                            <tr> 
                            <td>Kecamatan/Kabupaten</td>
                            <td>${kec}, ${kab}</td>
                            </tr>
                        </table>
                    `;

                    infowindow = new google.maps.InfoWindow({
                        content: contentString
                    });

                    infowindow.open(map, marker[id]);
                    map.panTo(marker[id].getPosition());
                    });

                    marker[id].setMap(map);
            }
        });

        request.fail(function(jqXHR, textStatus) {
           
        });
    }
    
    function cariLokasi(){
        Object.keys(marker).forEach(function(k) {
						marker[k].setMap(null);
					});


        const kabupaten = $('#dropdownReferensi').val();
        const search = $('#searchField').val();

        if(kabupaten != "all"){
            if(kabKotaData[kabupaten] != undefined){
                    let latLngKab = new google.maps.LatLng(kabKotaData[kabupaten].lat, kabKotaData[kabupaten].lng);
                    map.panTo(latLngKab);
                    map.setZoom(10);
                }
            }else{
                map.panTo(myLatLng);
                map.setZoom(7);
            }

        if(tabelLokasi != null){
            $('#tabelLokasi').DataTable().clear();
            $('#tabelLokasi').DataTable().destroy();
        }
        
        let formData = new FormData();
        formData.append("kabupaten", kabupaten);
        formData.append("search", search);

        $('#tabelLokasi > tbody').html(`<tr><td colspan="8" style="text-align:center"><div class="ui active red inline loader"></div></td></tr>`);
          
        let request = $.ajax({
            url: urlAPI + "/getEmbungList.php",
            timeout: ajaxTimeout,
            type: "POST",
            data: formData,
            processData: false,
            contentType: false
        });

        request.done(function(msg) {
            const listLokasi = msg.lokasi;
            const banyakLokasi = listLokasi.length;
            if(banyakLokasi == 0){
                $('#tabelLokasi > tbody').html(`<tr><td colspan="8" style="text-align:center">Tidak ditemukan data lokasi dengan kata kunci ini.</td></tr>`);
                tabelLokasi = null;
            }else{
                let isiTabel = '';
                for(let i = 0; i < banyakLokasi; i++){
                    const lokasi = listLokasi[i];
                    const no = i + 1;
                    const id = lokasi.id;
                    const namaEmbung = lokasi.namaEmbung;
                    const namaDesa = lokasi.namaDesa;
                    const pemilik = lokasi.pemilik;
                    const luas = lokasi.luas;
                    const kondisi = lokasi.kondisi;
                    const kab = lokasi.kab;
                    const kec = lokasi.kec;
                    const lat = parseFloat(lokasi.lat);
                    const lng = parseFloat(lokasi.lng);
                    const latLng = { lat: lat, lng: lng };
                    
                    
                    isiTabel += `<tr><td>${no}</td><td>${namaEmbung}</td><td>${pemilik}</td><td>${luas}</td><td>${kondisi}</td><td>${namaDesa}</td><td>${kec}, ${kab}</td><td><button class="ui blue icon button" title="Lihat" onClick="goToMarker(${id})"><i class="marker icon"></i> Lihat</button></td></tr>`;
                    marker[id] =  new google.maps.Marker({
                  position: latLng,
                  map: map,
                  icon: 'images/legenda-marker-small/icon-loc-embung.png'
               });

               marker[id].addListener("click", function() {
                    if (infowindow) {
                        infowindow.close();
                    }

                    const contentString = `
                        <h3 class="ui red header">${namaEmbung}</h3>
                        <a href="https://www.google.com/maps/search/?api=1&query=${lat},${lng}" target="_blank"><button class="ui blue icon right floated button"><i class="map marked alternate icon"></i></button></a>
						<div style="height:50px"></div>
                        <table class="ui definition table">
                            <tr> 
                            <td>Pemilik</td>
                            <td>${pemilik}</td>
                            </tr>
                            <tr> 
                            <td>Kondisi</td>
                            <td>${kondisi}</td>
                            </tr>
                            <tr> 
                            <td>Luas</td>
                            <td>${luas}</td>
                            </tr>
                            <tr> 
                            <td>Desa</td>
                            <td>${namaDesa}</td>
                            </tr>
                            <tr> 
                            <td>Kecamatan/Kabupaten</td>
                            <td>${kec}, ${kab}</td>
                            </tr>
                        </table>
                    `;

                    infowindow = new google.maps.InfoWindow({
                        content: contentString
                    });

                    infowindow.open(map, marker[id]);
                    map.panTo(marker[id].getPosition());
                    });

                    marker[id].setMap(map);
                
                
                }
                $('#tabelLokasi > tbody').html(isiTabel);
            
                $('#tabelLokasi').DataTable({
                    searching: false,
                    bDestroy: true
                });    
                tabelLokasi = 1;
            }
            
        });

        request.fail(function(jqXHR, textStatus) {
            $('#tabelLokasi > tbody').html(`<tr><td colspan="8" style="text-align:center">Gagal Mengambil Data</td></tr>`);
            tabelLokasi = null;
        });
    }


    function searchListener(event){
        if (event.keyCode === 13) {
            cariLokasi();
        }
    }

    function openTab(evt, divName) {
        var i, tabcontent, tablinks;

        var namatabcontent = "tabContent";
        var namatablink = "tabLinks";

        let judul = "";

        tabcontent = document.getElementsByName(namatabcontent);
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }

        tablinks = document.getElementsByName(namatablink);
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace("active redBackground", "");
        }

        $(".ui.sidebar").sidebar("hide");

        evt.currentTarget.className += " active redBackground ";
        document.getElementById(divName).style.display = "block";
    }


function initMap() {
  const mapOption = {
    center: myLatLng,
    zoom: 7,
    options: {
      gestureHandling: "greedy"
    }
  };

 

  map = new google.maps.Map(document.getElementById("map"), mapOption);
}

function goToMarker(id) {
    document.getElementById("mapItem").click();
  google.maps.event.trigger(marker[id], "click");
                     map.setZoom(18);
}
</script>