
<!DOCTYPE html>
<html lang="en">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

	<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	<meta http-equiv="X-UA-Compatible" content="ie=edge" />
	<title>Data Lokasi Strategis/Penting</title>
	<link rel="shortcut icon" href="images/bongkar-icon.png" />
	<link rel="stylesheet" href="libs/Fomantic-UI/semantic.css" type="text/css" charset="utf-8" />
	<link rel="stylesheet" href="libs/DataTable/datatables.min.css" type="text/css" charset="utf-8" />
	<link href="css/styleSteven.css" rel="stylesheet" type="text/css" />
	<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDRwLI_1dM1VDygiru0klGVDNoD2X3ARJE&callback=initMap"></script>
	<script src="libs/jquery-3.3.1.js"></script>
	<script src="libs/Fomantic-UI/semantic.min.js"></script>
	<script src="libs/DataTable/datatables.min.js"></script>
</head>

<body>
			<div class="ui sticky segment topBar" style="position:fixed; height: 90px; margin: -1px; padding: -2px; background: url('images/header-bongkar.jpg'); background-size: cover; background-repeat: no-repeat;">
			<h2 class="ui header">
				<img src="images/logo_baru_krimsus.png" alt="Logo Bongkar" style="float:left; height: 60px; width: 60px; margin-top: 5px; margin-right: 5px;" />
				<a href="https://bongkar.poldakalbar.net/portal/"><img src="images/logo.png" alt="Logo Bongkar" style="height: 60px; width: 60px; margin-top: 5px; margin-right: 10px;" /></a>

				<!-- <img src="images/logo-polda-kalbar.png" alt="Logo Polda Kalbar" style="height: 60px; width: 40px; margin-top: 5px;" /> -->

				<div class="content header-title" style="margin-top: 10px; line-height: 20px; color:#fff" id="ditreskrimsuskalbar">
					B0NGKAR <br>
					<span>(Basmi, Zer0kan, dan Tanggulangi Karhutla)</span>
				</div>
			</h2>

		</div>

	
			<div class="ui container" style="margin-top:110px;padding-bottom:5rem">
					<h2 class="ui redColor">LOKASI STRATEGIS/PENTING - KANTOR POLISI</h2>
			<div class="ui segment">
				<div class="ui form">
					<div class="fields">

													<div class="four wide field">
								<label>Lokasi</label>
								<select id="dropdownReferensi" class="ui dropdown" onChange="cariLokasi()">
									<option value='allPolisi'>Semua Kantor Polisi</option><option value='1'>Kantor Polres</option><option value='2'>Kantor Polsek</option><option value='3'>Kantor Pospol</option>								</select>
							</div>
							<div class="four wide field">
								<label>Kabupaten/Kota</label>
								<select id="dropdownKab" class="ui dropdown" onChange="cariLokasi()">
									<option value='all'>Semua Kabupaten/Kota</option><option value='1'>Kota Pontianak</option><option value='2'>Kabupaten Kubu Raya</option><option value='3'>Kabupaten Mempawah</option><option value='4'>Kota Singkawang </option><option value='5'>Kabupaten Sambas</option><option value='6'>Kabupaten Bengkayang</option><option value='7'>Kabupaten Landak</option><option value='8'>Kabupaten Sanggau</option><option value='9'>Kabupaten Sekadau</option><option value='10'>Kabupaten Sintang</option><option value='11'>Kabupaten Melawi</option><option value='12'>Kabupaten Kapuas Hulu</option><option value='13'>Kabupaten Ketapang</option><option value='14'>Kabupaten Kayong Utara</option>								</select>
							</div>
							<div class="six wide field">
								<label>Nama Lokasi</label>
								<input type="text" id="searchField" placeholder="Nama Lokasi" onKeyUp="searchListener(event)">
							</div>
						
						<div class="two wide field">
							<label style="color:#ffffff">.</label>
							<button class="ui fluid red icon button" title="Cari" onClick="cariLokasi()">
								<i class="search icon"></i> Cari
							</button>
						</div>
					</div>
				</div>
			</div>
			<div class="ui fluid two item menu">
				<a class="item active redBackground" name="tabLinks" onClick="openTab(event, 'tabel')" style="font-weight:bold">
					Daftar Lokasi
				</a>
				<a class="item" name="tabLinks" id="mapItem" onClick="openTab(event, 'mapView')" style="font-weight:bold">
					Map View
				</a>
			</div>
			<div id="tabel" name="tabContent">
				<table class="ui selection celled red table" id="tabelLokasi">
					<thead>
						<tr style="text-align: center;">
							<th class="one wide">No.</th>
							<th>Nama Lokasi</th>
							<th class="four wide">Alamat</th>
							<th>Contact Person</th>
							<th>Telp.</th>
							<th class="three wide">Kab/Kota</th>
							<th class="one wide">Aksi</th>
						</tr>
					</thead>
					<tbody></tbody>
				</table>
			</div>
			<div id="mapView" name="tabContent" style="display:none">
				<div id="map" style="width:100%; height: 80vh;"></div>
				<div class="ui compact segment">
					<h3 class="ui header redColor">Keterangan</h3>
					<table class="ui selectable celled compact table">
						<tbody>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/kantor-polisi.png" alt="Kantor Polres"></td>
								<td>Kantor Polres, Polsek, Pospol</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/kantor-koramil-tni.png" alt="Kantor Koramil"></td>
								<td>Kantor Kodam/Koramil</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/kantor-bpbd.png" alt="Kantor BPBD"></td>
								<td>Kantor BPBD</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/manggala-agni.png" alt="Manggala Agni"></td>
								<td>Kantor Manggala Agni</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/kantor-pemadam-kebakaran.png" alt="Unit Damkar"></td>
								<td>Kantor Unit Damkar</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/landasan-helipad.png" alt="Heliped"></td>
								<td>Heliped</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-instansi-pemerintahan.png" alt="Instansi Pemerintahan"></td>
								<td>Instansi Pemerintahan</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-kantor-kecamatan.png" alt="Kantor Kecamatan"></td>
								<td>Kantor Kecamatan</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-kantor-desa.png" alt="Kantor Kelurahan/Desa/Dusun"></td>
								<td>Kantor Kelurahan/Desa/Dusun</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-lsm-ormas.png" alt="LSM/Ormas"></td>
								<td>LSM/Ormas</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-rumah-sakit.png" alt="Rumah Sakit"></td>
								<td>Rumah Sakit</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-puskesmas.png" alt="Puskesmas"></td>
								<td>Puskesmas</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-poliklinik.png" alt="Poliklinik"></td>
								<td>Poliklinik</td>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-embung.png" alt="Embung"></td>
								<td>Embung</td>
							</tr>
							<tr>
								<td><img class="ui mini image" src="images/legenda-marker-small/icon-loc-menara-api.png" alt="Menara Api"></td>
								<td>Menara Api</td>
								<td colspan="2"></td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>

			<script>
				const urlAPI = "https://bongkar.poldakalbar.net/portal/API";
				const ajaxTimeout = 15000;
				let tabelLokasi = null;
				let marker = [];
				let map;
				const myLatLng = {
					lat: -0.025,
					lng: 111.329
				};
				let infowindow = null;

				let kabKotaData = [];
				kabKotaData[1] = {lat : -0.022131, lng : 109.3378374};kabKotaData[2] = {lat : -0.1268753, lng : 109.4035039};kabKotaData[3] = {lat : 0.3506185, lng : 108.9615721};kabKotaData[4] = {lat : 0.9043363, lng : 108.9772738};kabKotaData[5] = {lat : 1.3607706, lng : 109.3262685};kabKotaData[6] = {lat : 0.8688251, lng : 109.4952275};kabKotaData[7] = {lat : 0.3745467, lng : 109.9360754};kabKotaData[8] = {lat : 0.1232162, lng : 110.5937933};kabKotaData[9] = {lat : 0.0666217, lng : 110.8926};kabKotaData[10] = {lat : 0.0783098, lng : 111.4932845};kabKotaData[11] = {lat : -0.335384, lng : 111.7248031};kabKotaData[12] = {lat : 0.8790089, lng : 112.9231503};kabKotaData[13] = {lat : -1.8444963, lng : 109.9768037};kabKotaData[14] = {lat : -1.2535822, lng : 109.9521268};

									const filterLokasi = true;
					const lokasiId = "1";
				
				$(document).ready(function() {
					//fillMarkerMap();
					initMap();
					cariLokasi();
					$('.ui.dropdown').dropdown();
					// $('.ui.sticky').sticky({
					//     observeChanges: true,
					//     context: '#tabelLokasi'
					// });
				});

				function getMarkerIcon(idRef) {
					switch (idRef) {
						/*
						    case '1' : return 'https://maps.google.com/mapfiles/ms/micons/yellow-dot.png'; break;
						    case '2' : return 'https://maps.google.com/mapfiles/ms/micons/blue-dot.png'; break;
						    case '3' : return 'https://maps.google.com/mapfiles/ms/micons/green-dot.png'; break;
						    case '4' : return 'https://maps.google.com/mapfiles/ms/micons/ltblue-dot.png'; break;
						    case '5' : return 'https://maps.google.com/mapfiles/ms/micons/orange-dot.png'; break;
						    case '6' : return 'https://maps.google.com/mapfiles/ms/micons/pink-dot.png'; break;
						    case '7' : return 'https://maps.google.com/mapfiles/ms/micons/purple-dot.png'; break;
						    case '8' : return 'https://maps.google.com/mapfiles/ms/micons/red-dot.png'; break;
						    default : return null;
						    */
						case "1":
						case "2":
						case "3":
							return "images/legenda-marker-small/kantor-polisi.png";
							break;
						case "4":
							return "images/legenda-marker-small/kantor-koramil-tni.png";
							break;
						case "5":
							return "images/legenda-marker-small/kantor-bpbd.png";
							break;
						case "6":
							return "images/legenda-marker-small/manggala-agni.png";
							break;
						case "7":
							return "images/legenda-marker-small/kantor-pemadam-kebakaran.png";
							break;
						case "8":
							return "images/legenda-marker-small/landasan-helipad.png";
							break;
						case "9":
						case "10":
						case "11":
						case "12":
						case "13":
							return "images/legenda-marker-small/icon-loc-instansi-pemerintahan.png";
							break;
						case "14":
							return "images/legenda-marker-small/icon-loc-kantor-kecamatan.png";
							break;
						case "15":
						case "16":
							return "images/legenda-marker-small/icon-loc-kantor-desa.png";
							break;
						case "17":
							return "images/legenda-marker-small/icon-loc-lsm-ormas.png";
							break;
						case "18":
							return "images/legenda-marker-small/icon-loc-rumah-sakit.png";
							break;
						case "19":
							return "images/legenda-marker-small/icon-loc-puskesmas.png";
							break;
						case "20":
							return "images/legenda-marker-small/icon-loc-poliklinik.png";
							break;
						case "21":
							return "images/legenda-marker-small/icon-loc-embung.png";
							break;
						case "22":
							return "images/legenda-marker-small/icon-loc-menara-api.png";
							break;
					}
				}

				function fillMarkerMap() {
					let formData = new FormData();
					formData.append("referensi", 'all');
					formData.append("search", '');

					let request = $.ajax({
						url: urlAPI + "/getLokasiList.php",
						timeout: ajaxTimeout,
						type: "POST",
						data: formData,
						processData: false,
						contentType: false
					});

					request.done(function(msg) {
						const listLokasi = msg.lokasi;
						const banyakLokasi = listLokasi.length;
						for (let i = 0; i < banyakLokasi; i++) {
							const lokasi = listLokasi[i];
							const no = i + 1;
							const id = lokasi.id;
							const nama = lokasi.nama;
							const alamat = lokasi.alamat;
							const kab = lokasi.kab;
							const lat = parseFloat(lokasi.lat);
							const lng = parseFloat(lokasi.lng);
							const idRef = lokasi.idRef;
							const latLng = {
								lat: lat,
								lng: lng
							};
							const email = lokasi.email;
							const contactPerson = lokasi.contactPerson;
							const telp = lokasi.telp;

							if (filterLokasi) {
								if (lokasiId == "1" || lokasiId == "2" || lokasiId == "3") {
									if (!(idRef == "1" || idRef == "2" || idRef == "3")) {
										continue;
									}
								} else if (lokasiId === '9' || lokasiId === '10' || lokasiId === '11' || lokasiId === '12' || lokasiId === '13') {
									if (!(idRef === '9' || idRef === '10' || idRef === '11' || idRef === '12' || idRef === '13')) {
										continue;
									}
								} else if (lokasiId == "15" || lokasiId == "16") {
									if (!(idRef === '15' || idRef === '16')) {
										continue;
									}
								} else {
									if (!(lokasiId == idRef)) {
										continue;
									}
								}
							}

							marker[id] = new google.maps.Marker({
								position: latLng,
								map: map,
								icon: getMarkerIcon(idRef)
							});

							marker[id].addListener("click", function() {
								if (infowindow) {
									infowindow.close();
								}

								const contentString = `
                        <h3 class="ui red header">${nama}</h3>
                        <table class="ui definition table">
                            <tr> 
                            <td>Alamat</td>
                            <td>${alamat}</td>
                            </tr>
                            <tr> 
                            <td>Contact Person</td>
                            <td>${contactPerson}</td>
                            </tr>
                            <tr> 
                            <td>Telepon/WA</td>
                            <td><a href="tel:${telp}">${telp}</a></td>
                            </tr>
                            <tr> 
                            <td>Email</td>
                            <td><a href="mailto:${email}">${email}</a></td>
                            </tr>
                        </table>
                    `;

								infowindow = new google.maps.InfoWindow({
									content: contentString
								});

								infowindow.open(map, marker[id]);
								map.panTo(marker[id].getPosition());
							});

							marker[id].setMap(map);
						}
					});

					request.fail(function(jqXHR, textStatus) {

					});
				}

				function goToKabupaten(){

				}
				function cariLokasi() {
					Object.keys(marker).forEach(function(k) {
						marker[k].setMap(null);
					});

					const referensi = $('#dropdownReferensi').val();
					const search = $('#searchField').val();
					const kabKota = $('#dropdownKab').val();
					
					if(kabKota != "all"){
						if(kabKotaData[kabKota] != undefined){
							let latLngKab = new google.maps.LatLng(kabKotaData[kabKota].lat, kabKotaData[kabKota].lng);
							map.panTo(latLngKab);
							map.setZoom(10);
						}
					}else{
						map.panTo(myLatLng);
						map.setZoom(7);
					}

					if (tabelLokasi != null) {
						$('#tabelLokasi').DataTable().clear();
						$('#tabelLokasi').DataTable().destroy();
					}

					let formData = new FormData();
					formData.append("referensi", referensi);
					formData.append("search", search);
					formData.append("kab", kabKota);

					$('#tabelLokasi > tbody').html(`<tr><td colspan="7" style="text-align:center"><div class="ui active red inline loader"></div></td></tr>`);

					let request = $.ajax({
						url: urlAPI + "/getLokasiList.php",
						timeout: ajaxTimeout,
						type: "POST",
						data: formData,
						processData: false,
						contentType: false
					});

					request.done(function(msg) {
						const listLokasi = msg.lokasi;
						const banyakLokasi = listLokasi.length;
						if (banyakLokasi == 0) {
							$('#tabelLokasi > tbody').html(`<tr><td colspan="7" style="text-align:center">Tidak ditemukan data lokasi dengan kata kunci ini.</td></tr>`);
							tabelLokasi = null;
						} else {
							let isiTabel = '';
							for (let i = 0; i < banyakLokasi; i++) {
								const lokasi = listLokasi[i];
								const no = i + 1;
								const id = lokasi.id;
								const nama = lokasi.nama;
								const alamat = lokasi.alamat;
								const contactPerson = lokasi.contactPerson;
								const telp = lokasi.telp;
								const email = lokasi.email;
								const kab = lokasi.kab;
								const lat = lokasi.lat;
								const lng = lokasi.lng;
								const idRef = lokasi.idRef;
								const latLng = {
									lat: lat,
									lng: lng
								};
							

								isiTabel += `<tr><td style="text-align: center;">${no}.</td><td>${nama}</td><td>${alamat}</td><td>${contactPerson}</td><td>${telp}</td><td>${kab}</td><td><button class="ui blue icon button" title="Lihat" onClick="goToMarker(${id})"><i class="marker icon"></i> Lihat</button></td></tr>`;
							
							
								if (filterLokasi) {
									if (lokasiId == "1" || lokasiId == "2" || lokasiId == "3") {
										if (!(idRef == "1" || idRef == "2" || idRef == "3")) {
											continue;
										}
									} else if (lokasiId === '9' || lokasiId === '10' || lokasiId === '11' || lokasiId === '12' || lokasiId === '13') {
										if (!(idRef === '9' || idRef === '10' || idRef === '11' || idRef === '12' || idRef === '13')) {
											continue;
										}
									} else if (lokasiId == "15" || lokasiId == "16") {
										if (!(idRef === '15' || idRef === '16')) {
											continue;
										}
									} else {
										if (!(lokasiId == idRef)) {
											continue;
										}
									}
								}

								marker[id] = new google.maps.Marker({
									position: latLng,
									map: map,
									icon: getMarkerIcon(idRef)
								});

								marker[id].addListener("click", function() {
									if (infowindow) {
										infowindow.close();
									}

									const contentString = `
										<h3 class="ui red header">${nama}</h3>
											<a href="https://www.google.com/maps/search/?api=1&query=${lat},${lng}" target="_blank"><button class="ui blue icon right floated button"><i class="map marked alternate icon"></i></button></a>
											<div style="height:50px"></div>
										<table class="ui definition table">
											<tr> 
											<td>Alamat</td>
											<td>${alamat}</td>
											</tr>
											<tr> 
											<td>Contact Person</td>
											<td>${contactPerson}</td>
											</tr>
											<tr> 
											<td>Telepon/WA</td>
											<td><a href="tel:${telp}">${telp}</a></td>
											</tr>
											<tr> 
											<td>Email</td>
											<td><a href="mailto:${email}">${email}</a></td>
											</tr>
										</table>
									`;

									infowindow = new google.maps.InfoWindow({
										content: contentString
									});

									infowindow.open(map, marker[id]);
									map.panTo(marker[id].getPosition());
								});

								marker[id].setMap(map);
								
							}
							$('#tabelLokasi > tbody').html(isiTabel);

							$('#tabelLokasi').DataTable({
								searching: false,
								bDestroy: true
							});
							tabelLokasi = 1;
						}

					});

					request.fail(function(jqXHR, textStatus) {
						$('#tabelLokasi > tbody').html(`<tr><td colspan="7" style="text-align:center">Gagal Mengambil Data</td></tr>`);
						tabelLokasi = null;
					});
				}

				function searchListener(event) {
					if (event.keyCode === 13) {
						cariLokasi();
					}
				}

				function openTab(evt, divName) {
					var i, tabcontent, tablinks;
					var namatabcontent = "tabContent";
					var namatablink = "tabLinks";
					let judul = "";

					tabcontent = document.getElementsByName(namatabcontent);
					for (i = 0; i < tabcontent.length; i++) {
						tabcontent[i].style.display = "none";
					}

					tablinks = document.getElementsByName(namatablink);
					for (i = 0; i < tablinks.length; i++) {
						tablinks[i].className = tablinks[i].className.replace("active redBackground", "");
					}

					$(".ui.sidebar").sidebar("hide");

					evt.currentTarget.className += " active redBackground ";
					document.getElementById(divName).style.display = "block";
				}

				function initMap() {
					const mapOption = {
						center: myLatLng,
						zoom: 7,
						options: {
							gestureHandling: "greedy"
						}
					};
					map = new google.maps.Map(document.getElementById("map"), mapOption);
				}

				function goToMarker(id) {
					document.getElementById("mapItem").click();
					google.maps.event.trigger(marker[id], "click");
					map.setZoom(15);
				}
			</script>

</body>

</html>